version: "3"

services:
  practice-exam:
    image: registry.gitlab.com/90cos/cyv/eval-systems/vscode-server-deploy/90cos-vscode-server
    ports:
      - 0.0.0.0:8080:8080
    volumes:
      - "$PWD/practice-exam:/home/coder/exam"
      - "$PWD/practice-exam/config.yaml:/home/coder/.config/code-server/config.yaml"
      - "$PWD/practice-exam/.vscode/keybindings.json:/home/coder/.local/share/code-server/User/keybindings.json"
    deploy:
      resources:
        limits:
          cpus: "1.5"
          memory: 1000m
        reservations:
          memory: 600m

